% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Class_definitions.R
\docType{class}
\name{Stock-class}
\alias{Stock-class}
\title{Class \code{'Stock'}}
\description{
An operating model component that specifies the parameters of the population
dynamics model
}
\section{Slots}{

\describe{
\item{\code{Name}}{The name of the Stock object. Single value. Character string}

\item{\code{Name}}{The name of the Stock object. Single value. Character string}

\item{\code{Common_Name}}{Common name of the species. Character string}

\item{\code{Species}}{Scientific name of the species. Genus and species name.
Character string}

\item{\code{maxage}}{The maximum age of individuals that is simulated (there is no
'plus group'). Single value. Positive integer}

\item{\code{R0}}{The magnitude of unfished recruitment. Single value. Positive real
number}

\item{\code{M}}{Natural mortality rate. Uniform distribution lower and upper bounds.
Positive real number}

\item{\code{Msd}}{Inter-annual variability in natural mortality rate expressed as a
coefficient of variation. Uniform distribution lower and upper bounds.
Non-negative real numbers}

\item{\code{h}}{Steepness of the stock recruit relationship. Uniform distribution
lower and upper bounds. Values from 1/5 to 1}

\item{\code{SRrel}}{Type of stock-recruit relationship. Single value, switch (1)
Beverton-Holt (2) Ricker. Integer}

\item{\code{Perr}}{Process error, the CV of log-normal recruitment deviations.
Uniform distribution lower and upper bounds. Non-negative real numbers}

\item{\code{AC}}{Auto-correlation in recruitment deviations
rec(t)=AC*rec(t-1)+(1-AC)*sigma(t). Uniform distribution lower and upper
bounds. Non-negative real numbers}

\item{\code{Linf}}{Maximum length. Uniform distribution lower and upper bounds.
Positive real numbers}

\item{\code{Linfsd}}{Inter-annual variability in maximum length expressed as a
coefficient of variation. Uniform distribution lower and upper bounds.
Non-negative real numbers}

\item{\code{K}}{von Bertalanffy growth parameter k. Uniform distribution lower and
upper bounds. Positive real numbers}

\item{\code{Ksd}}{Inter-annual variability in growth parameter k expressed as
coefficient of variation. Uniform distribution lower and upper bounds.
Non-negative real numbers}

\item{\code{t0}}{von Bertalanffy theoretical age at length zero. Uniform
distribution lower and upper bounds. Non-positive real numbers}

\item{\code{LenCV}}{Coefficient of variation of length-at-age (assumed constant for
all age classes). Uniform distribution lower and upper bounds. Positive real
numbers}

\item{\code{L50}}{Length at 50 percent maturity. Uniform distribution lower and
upper bounds. Positive real numbers}

\item{\code{L50_95}}{Length increment from 50 percent to 95 percent maturity.
Uniform distribution lower and upper bounds. Positive real numbers}

\item{\code{D}}{Current level of stock depletion SSB(current)/SSB(unfished). Uniform
distribution lower and upper bounds. Fraction}

\item{\code{a}}{Length-weight parameter alpha. Single value. Positive real number}

\item{\code{b}}{Length-weight parameter beta. Single value. Positive real number}

\item{\code{Size_area_1}}{The size of area 1 relative to area 2. Uniform
distribution lower and upper bounds. Positive real numbers}

\item{\code{Frac_area_1}}{The fraction of the unfished biomass in stock 1. Uniform
distribution lower and upper bounds. Positive real numbers}

\item{\code{Prob_staying}}{The probability of individuals in area 1 remaining in
area 1 over the course of one year. Uniform distribution lower and upper
bounds. Positive fraction.}

\item{\code{Fdisc}}{Fraction of discarded fish that die. Uniform distribution lower
and upper bounds. Non-negative real numbers}

\item{\code{Source}}{A reference to a website or article from which parameters were
taken to define the stock object. Single value. Character string.}
}}

\section{Objects from the Class}{
 Objects can be created by calls of the form
\code{new('Stock')}
}

\examples{

showClass('Stock')

}
\author{
T. Carruthers and A. Hordyk
}
\keyword{classes}
